List the webhooks sent to you
curl --request GET \
--url https://partners-api.sandbox.securitize.io/webhooks/v1/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/webhooks/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/webhooks/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"eventId": "evt_01K7Q5D3H5K7M9P1R3T5V7X9Z1",
"eventType": "ca.restriction.removed",
"timestamp": "2026-10-20T14:20:24.836Z",
"payload": {
"schemaVersion": "1.0",
"sourceEventId": "evt_01K7Q5D3H5K7M9P1R3T5V7X9Z1",
"eventType": "ca.restriction.removed",
"objectType": "RESTRICTION",
"objectId": "rst_01K7Q4A0D2F4H6J8K0M2P4R6T8",
"version": 3,
"stream": {
"type": "TOKEN",
"id": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d"
},
"sequence": 147,
"occurredAt": "2026-10-20T14:20:21.039Z",
"publishedAt": "2026-10-20T14:20:24.748Z",
"environment": "sandbox",
"changedFields": [
"reasonText",
"removedAt"
],
"data": {
"restrictionId": "rst_01K7Q4A0D2F4H6J8K0M2P4R6T8",
"version": 3,
"scope": "ASSET",
"scopeId": "c0a8e2f4-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"restrictionType": "TRADING_SUSPENSION",
"reasonCode": "EXCHANGE_SUSPENSION",
"reasonText": "Trading resumed on the listing exchange",
"source": "LISTING_EXCHANGE",
"marketHaltCode": null,
"effectiveFrom": "2026-10-20T13:57:07.491Z",
"expectedEnd": "2026-10-22T13:30:00.000Z",
"relatedCaId": null,
"removedAt": "2026-10-20T14:20:20.706Z"
}
}
},
{
"eventId": "evt_01K7Q3ZVC1J3K5M7P9R1T3V5X7",
"eventType": "ca.action.created",
"timestamp": "2026-10-20T13:50:24.880Z",
"payload": {
"schemaVersion": "1.0",
"sourceEventId": "evt_01K7Q3ZVC1J3K5M7P9R1T3V5X7",
"eventType": "ca.action.created",
"objectType": "CORPORATE_ACTION",
"objectId": "ca_01K7Q3ZVB8M2N4P6R8T0V2X4Z6",
"version": 1,
"stream": {
"type": "TOKEN",
"id": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d"
},
"sequence": 142,
"occurredAt": "2026-10-20T13:50:22.452Z",
"publishedAt": "2026-10-20T13:50:24.768Z",
"environment": "sandbox",
"changedFields": [],
"data": {
"sourceCaId": "ca_01K7Q3ZVB8M2N4P6R8T0V2X4Z6",
"version": 1,
"tokenId": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d",
"assetId": "c0a8e2f4-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"caType": "CASH_DIVIDEND",
"caCategory": "MANDATORY",
"isoEventCode": "DVCA",
"status": "ANNOUNCED",
"dataCompleteness": "PRELIMINARY",
"dates": {
"announcementDate": "2026-10-20",
"exDate": "2026-11-10",
"recordDate": "2026-11-10",
"snapshotTime": "2026-11-10T01:00:00.000Z",
"effectiveTime": null,
"payDate": "2026-11-13",
"electionStart": null,
"responseDeadline": null,
"marketExpiration": null,
"votingCutoff": null,
"meetingDate": null
},
"terms": {
"grossAmountPerShare": null,
"currency": "USD",
"paymentAsset": null,
"withholdingApplies": true,
"frankingOrTaxNotes": null
},
"options": [],
"venueActions": {
"tradingStop": {
"required": false
},
"poolMode": "NORMAL",
"displayToHolders": true
},
"relatedCaIds": [],
"supersedesCaId": null,
"supersededByCaId": null,
"description": "Quarterly cash dividend",
"documents": [],
"settlement": null
}
}
}
],
"iterator": "msg_3KvZFnAAFjJN9N2HX80yKjeYFgk",
"done": false
}{
"error": "EVENT_TYPES_NOT_ALLOWED",
"message": "None of the requested event types is a webhook event type (ca.action.created, ca.action.updated, ca.action.corrected, ca.action.postponed, ca.action.cancelled, ca.action.status_changed, ca.action.completed, ca.restriction.added, ca.restriction.updated, ca.restriction.removed, ca.token.updated, investor.kyc.updated)",
"statusCode": 400
}{
"error": "UNAUTHORIZED",
"message": "Missing or unknown partner identity",
"statusCode": 401
}{
"error": "WEBHOOK_PROVIDER_UNAVAILABLE",
"message": "The webhook provider is unavailable; retry later",
"statusCode": 502
}Events
List the webhooks sent to you
Every webhook sent to your endpoint in the last 90 days, of every family Securitize sends you, newest first, each with the body it carried. Page with iterator: pass the value of the previous page to get the next, older, page; done is true on the last one. since keeps only events sent after that instant. eventTypes keeps only those types, of any family; pass the eleven ca.* types to read only this API. A request naming only types Securitize does not publish is refused with 400.
GET
/
events
List the webhooks sent to you
curl --request GET \
--url https://partners-api.sandbox.securitize.io/webhooks/v1/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/webhooks/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/webhooks/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"eventId": "evt_01K7Q5D3H5K7M9P1R3T5V7X9Z1",
"eventType": "ca.restriction.removed",
"timestamp": "2026-10-20T14:20:24.836Z",
"payload": {
"schemaVersion": "1.0",
"sourceEventId": "evt_01K7Q5D3H5K7M9P1R3T5V7X9Z1",
"eventType": "ca.restriction.removed",
"objectType": "RESTRICTION",
"objectId": "rst_01K7Q4A0D2F4H6J8K0M2P4R6T8",
"version": 3,
"stream": {
"type": "TOKEN",
"id": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d"
},
"sequence": 147,
"occurredAt": "2026-10-20T14:20:21.039Z",
"publishedAt": "2026-10-20T14:20:24.748Z",
"environment": "sandbox",
"changedFields": [
"reasonText",
"removedAt"
],
"data": {
"restrictionId": "rst_01K7Q4A0D2F4H6J8K0M2P4R6T8",
"version": 3,
"scope": "ASSET",
"scopeId": "c0a8e2f4-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"restrictionType": "TRADING_SUSPENSION",
"reasonCode": "EXCHANGE_SUSPENSION",
"reasonText": "Trading resumed on the listing exchange",
"source": "LISTING_EXCHANGE",
"marketHaltCode": null,
"effectiveFrom": "2026-10-20T13:57:07.491Z",
"expectedEnd": "2026-10-22T13:30:00.000Z",
"relatedCaId": null,
"removedAt": "2026-10-20T14:20:20.706Z"
}
}
},
{
"eventId": "evt_01K7Q3ZVC1J3K5M7P9R1T3V5X7",
"eventType": "ca.action.created",
"timestamp": "2026-10-20T13:50:24.880Z",
"payload": {
"schemaVersion": "1.0",
"sourceEventId": "evt_01K7Q3ZVC1J3K5M7P9R1T3V5X7",
"eventType": "ca.action.created",
"objectType": "CORPORATE_ACTION",
"objectId": "ca_01K7Q3ZVB8M2N4P6R8T0V2X4Z6",
"version": 1,
"stream": {
"type": "TOKEN",
"id": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d"
},
"sequence": 142,
"occurredAt": "2026-10-20T13:50:22.452Z",
"publishedAt": "2026-10-20T13:50:24.768Z",
"environment": "sandbox",
"changedFields": [],
"data": {
"sourceCaId": "ca_01K7Q3ZVB8M2N4P6R8T0V2X4Z6",
"version": 1,
"tokenId": "7f3b2c10-5d4e-4a6b-9c8d-1e2f3a4b5c6d",
"assetId": "c0a8e2f4-1b3d-4e5f-8a9b-0c1d2e3f4a5b",
"caType": "CASH_DIVIDEND",
"caCategory": "MANDATORY",
"isoEventCode": "DVCA",
"status": "ANNOUNCED",
"dataCompleteness": "PRELIMINARY",
"dates": {
"announcementDate": "2026-10-20",
"exDate": "2026-11-10",
"recordDate": "2026-11-10",
"snapshotTime": "2026-11-10T01:00:00.000Z",
"effectiveTime": null,
"payDate": "2026-11-13",
"electionStart": null,
"responseDeadline": null,
"marketExpiration": null,
"votingCutoff": null,
"meetingDate": null
},
"terms": {
"grossAmountPerShare": null,
"currency": "USD",
"paymentAsset": null,
"withholdingApplies": true,
"frankingOrTaxNotes": null
},
"options": [],
"venueActions": {
"tradingStop": {
"required": false
},
"poolMode": "NORMAL",
"displayToHolders": true
},
"relatedCaIds": [],
"supersedesCaId": null,
"supersededByCaId": null,
"description": "Quarterly cash dividend",
"documents": [],
"settlement": null
}
}
}
],
"iterator": "msg_3KvZFnAAFjJN9N2HX80yKjeYFgk",
"done": false
}{
"error": "EVENT_TYPES_NOT_ALLOWED",
"message": "None of the requested event types is a webhook event type (ca.action.created, ca.action.updated, ca.action.corrected, ca.action.postponed, ca.action.cancelled, ca.action.status_changed, ca.action.completed, ca.restriction.added, ca.restriction.updated, ca.restriction.removed, ca.token.updated, investor.kyc.updated)",
"statusCode": 400
}{
"error": "UNAUTHORIZED",
"message": "Missing or unknown partner identity",
"statusCode": 401
}{
"error": "WEBHOOK_PROVIDER_UNAVAILABLE",
"message": "The webhook provider is unavailable; retry later",
"statusCode": 502
}